AGAVEFragmentOrderHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVEFragmentOrderHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEFragmentOrderHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEFragmentOrderHandler

All Implemented Interfaces:
  StAXContentHandler

    public class AGAVEFragmentOrderHandler

extends StAXFeatureHandler

Author:
  Hanning Ni Doubletwist Inc

Field Summary
`static StAXHandlerFactory` | `AGAVE_FRAGMENT_ORDER_HANDLER_FACTORY`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` | `reportFeature(Location loc)`
`void` | `reportStrand(StrandedFeature.Strand strand)`
`void` | `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, endElementHandler, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_FRAGMENT_ORDER_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_FRAGMENT_ORDER_HANDLER_FACTORY

Method Detail

### reportStrand

    public void reportStrand(StrandedFeature.Strand strand)

### reportFeature

    public void reportFeature(Location loc)

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD